/* (A) ENTIRE PAGE */

.bRed {
  background:  #4CAF50;
  font-size: 1.1em;
  color: #fff;
  border: 0;
  padding: 10px;
  cursor: pointer;
}
.ninja { display: none !important; }

/* (B) HEADER */
#scHead {
  position: sticky;
  padding: 0;
  margin: 0;
  top: 0;
  display: flex;
 flex-direction: row;
  color: #000000;
  background: #ffffff;
  font-size: 1.4em;
  width: 100%;
  overflow: hidden;
}
#scTitle, #scCartIcon { padding: 20px; }
#scCartIcon {
  background: #ffffff;
  text-align: center;
  cursor: pointer;
  width: 100px;
  float: right;
}
#scCartIcon.active { background: #D3D3D3;}

/* (C) PRODUCTS LIST */
#scProduct {
   width: 100%;
 display: flex;
 flex-direction: row;
 flex-wrap: wrap;

}
@media all and (max-width: 768px) {
  #scProduct { flex-direction: column; }
}
.pdt {
  background: #f0f0f0;
  padding: 20px;
margin: 10px;
height: auto;
width: 200px;
flex-grow: 1;
flex-basis: 200px;
border: 1px solid grey;
border-radius: 10px;
}
.pImg {
  max-width: 100%;
  object-fit: contain;
}
.pName {
  margin: 5px 0;
  color: #0e0e0e;
}
.pPrice { 
    color: #a82828; 
    margin-top: 2px;
}
.pDesc { color: #777; }
.pAdd {
  width: 100%;
  margin-top: 10px;
}

/* (D) SHOPPING CART */
#scCart { 
    padding: 30px; 
margin-left: 15px;
    margin-right:15px;
}
#scTable {
  border-collapse: collapse;
  width: 100%;
}
#scTable th { text-align: left; }
#scTable th, #scTable td { padding: 10px; }
#scTable tr:nth-child(odd) { background: #f1f1f1; }
#scTable input[type=number] {
  width: 60px;
  padding: 5px;
}

/* (E) CHECKOUT FORM */
#scCheckout {
  margin-top: 10px;
  max-width: 320px;
}
#scCheckout input {
  box-sizing: border-box;
  padding: 5px;
  margin: 5px;
  width: 100%;
}